--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Registers an example group class <tt>klass</tt> with the symbol <tt>type</tt>. For example:"
- !ruby/struct:SM::Flow::VERB 
  body: "  Spec::Example::ExampleGroupFactory.register(:farm, Spec::Farm::Example::FarmExampleGroup)\n"
- !ruby/struct:SM::Flow::P 
  body: This will cause Main#describe from a file living in <tt>spec/farm</tt> to create example group instances of type Spec::Farm::Example::FarmExampleGroup.
full_name: Spec::Example::ExampleGroupFactory::register
is_singleton: true
name: register
params: (id, example_group_class)
visibility: public
